Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1535966 - MPI_OFFSET_KIND defined differently than in MPICH on 32bit architectures
Summary: MPI_OFFSET_KIND defined differently than in MPICH on 32bit architectures
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: openmpi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-x86, F-ExcludeArch-x86 F-ExcludeArch-ARM
TreeView+ depends on / blocked
 
Reported: 2018-01-18 11:03 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2019-10-23 03:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-23 03:44:07 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github open-mpi ompi issues 3195 0 None open size of MPI_Offset on 32-bit machines 2020-07-05 00:54:49 UTC
Github open-mpi ompi issues 4846 0 None closed MPI_OFFSET_KIND defined differently than in MPICH on 32bit architectures 2020-07-05 00:54:50 UTC
Red Hat Bugzilla 1535968 0 unspecified CLOSED MPI_OFFSET_KIND defined differently than in OpenMPI on 32bit architectures 2021-02-22 00:41:40 UTC

Internal Links: 1535968

Description Dominik 'Rathann' Mierzejewski 2018-01-18 11:03:36 UTC
Description of problem:
MPI_OFFSET_KIND=4 in OpenMPI while it equals 8 in MPICH on 32bit arches. I don't know which is correct, but this difference has caused compilation issues in cp2k-5.1 with MPICH:
[...]
/builddir/build/BUILD/cp2k-5.1/src/mpiwrap/message_passing.F:3588:70:
                                     type_descriptor%type_handle, ierr)
                                                                      1
Error: Type mismatch in argument 'array_of_displacements' at (1); passed INTEGER(8) to INTEGER(4)
[...]

Version-Release number of selected component (if applicable):
openmpi-2.1.1-5.fc28.i686
mpich-3.2.1-2.fc28.i686

How reproducible:
Always

Steps to Reproduce:
1. grep MPI_OFFSET_KIND= mpich-i386/mpif.h mpich-i386/mpiof.h openmpi-i386/mpif-config.h

Actual results:
mpich-i386/mpif.h:       PARAMETER (MPI_OFFSET_KIND=8)
mpich-i386/mpiof.h:      PARAMETER (MPI_OFFSET_KIND=           8)
openmpi-i386/mpif-config.h:      parameter (MPI_OFFSET_KIND=4)

Expected results:
The value should be the same across MPI implementations.

Additional info:
https://lists.cp2k.org/private/cp2k-dev/2018-January/000856.html

Comment 1 Dominik 'Rathann' Mierzejewski 2018-01-18 11:10:38 UTC
For now upstream worked around it by using MPI_ADDRESS_KIND which equals 4 in both OpenMPI and MPICH.

Comment 2 Fedora End Of Life 2018-02-20 15:26:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Dominik 'Rathann' Mierzejewski 2018-02-21 10:52:04 UTC
Reported upstream, too.

Comment 4 Ben Cotton 2019-05-02 22:00:37 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.